package ninja.thefirearchmage.games.fourtykcalculator.utils.datastructures;

public abstract class Tuple {
    public static <T,R> Tuple2<T,R> of(T firstValue, R secondValue) {
        return new Tuple2<>(firstValue, secondValue);
    }
    public static <T,R,U> Tuple3<T,R,U> of(T firstValue, R secondValue, U thirdValue) {
        return new Tuple3<>(firstValue, secondValue, thirdValue);
    }
    public static <T,R,U,Y> Tuple4<T,R,U,Y> of(T firstValue, R secondValue, U thirdValue, Y fourthValue) {
        return new Tuple4<>(firstValue, secondValue, thirdValue, fourthValue);
    }
}
